Subject: RE: [Dime] MIP6 App ID/ revise RFC 3588???

From: "Glen Zorn \(gwz\)" <[email-masked]>
Date: Tue, 15 Aug 2006 11:13:57 -0700

Hi Glen,

Don't give up so easily, we need you here :-)

As I said earlier, 3588 has a little table defining the 5 App IDs, including a App ID for Mobile IP. So far we 4004 on MIP4 and I am guessing we will have 1 or 2 specs for MIP6. Avi suggests defining a new App ID for MIP6, I agree with him, but I am weighing the consequences, one of which is how can you have one App ID for Mobile IP, and another for Mobile IPv6. So there are two choices if we define a new App ID for MIP6:

1)     take App ID table out of 3588

2)     revise Mobile IP to Mobile IPv4 in 3588 

Actually, there's another option: Use brain ;-).  The assignment in 3588 is pretty obviously for MIP v4; both 4004 and the IANA entry make it blatantly specific.  OTOH, if you really believe that the lack of "IPv4"  on the third entry in RFC 3588's table of app IDs will so paralyze developers that they will become incapable of functioning, go ahead and add it.  OTOOH, please give some thought to what the Internet might be like if those same developers found employment in areas for which they might be better suited (say, the food service or hospitality industries).  Please don't do something like overloading the Service-Type AVP, though.

Both of which can count as revisions, don't you think? Seems that the group is revising 3588 anyway (tell me if I misunderstood), and in that case, this is a minor change.

Madjid

________________________________

From: Glen Zorn (gwz) [mailto:[email-masked]] 
Sent: Tuesday, August 15, 2006 10:13 AM
To: Madjid Nakhjiri; Avi Lior; Julien Bournelle
Cc: [email-masked]
Subject: RE: [Dime] MIP6 App ID/ revise RFC 3588???

I give up, why do 3588 & 4004 need to be revised?

...

both RFC 3588 and 4004 needs to be revised to reflect that, I think the harm for that is minimal anyway, given the fairly rare deployment of 4004 (I think).

...

_______________________________________________
DiME mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dime